Bug 1752211 - crash of /usr/libexec/Xorg
Summary: crash of /usr/libexec/Xorg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 30
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-14 15:00 UTC by Claude Frantz
Modified: 2020-01-15 00:14 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-server-1.20.6-1.fc31 xorg-x11-server-1.20.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-29 00:54:03 UTC
Type: Bug


Attachments (Terms of Use)
output of "coredumpctl info 1070" (2.70 KB, text/plain)
2019-09-14 15:00 UTC, Claude Frantz
no flags Details

Description Claude Frantz 2019-09-14 15:00:28 UTC
Created attachment 1615138 [details]
output of "coredumpctl  info 1070"

Description of problem:
crash of /usr/libexec/Xorg after user login in xfce4

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.20.5-7.fc30.i686

How reproducible:
always

Steps to Reproduce:
1. user logging in xfce4
2.
3.

Actual results:
crash

Expected results:


Additional info:
Occurs after update to xorg-x11-server-Xorg-1.20.5-7.fc30.i686. After downgrade to xorg-x11-server-Xorg-1.20.4-3.fc30.i686, it works well again.

Comment 1 Olivier Fourdan 2019-09-17 07:49:03 UTC
The crash occurs in `miSyncInitFence()` so possibly related to the sync/fences changes for nvidia PRIME offloading patches (worth noting this is on i686)

  https://gitlab.freedesktop.org/xorg/xserver/commit/82f01ad7869e3f2be51e41a8246dab5982bbc36a

Although this is just a wild guess... Could you install the relevant debuginfo packages and redo the backtrace/bt full in gdb?

Meanwhile, you should be able to avoid the crash by switching to Xpresent for vsync:

  $ xfconf-query -c xfwm4 -p /general/vblank_mode -s xpresent

Comment 2 Claude Frantz 2019-09-17 09:50:37 UTC
Some additional details here:

"inxi --graphics" says...

Graphics:  Device-1: Intel Mobile 4 Series Integrated Graphics driver: i915 v: kernel 
           Display: server: Fedora Project X.org 1.20.4 driver: intel resolution: 1366x768~60Hz 
           OpenGL: renderer: Mesa DRI Mobile Intel GM45 Express x86/MMX/SSE2 v: 2.1 Mesa 19.1.6

"lspci -s 00:02 -v" says...

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 1862
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at fe400000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at dc00 [size=8]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 3
	Kernel driver in use: i915
	Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
	Subsystem: ASUSTeK Computer Inc. Device 1862
	Flags: bus master, fast devsel, latency 0
	Memory at fe800000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: [d0] Power Management version 3

Comment 3 Fedora Update System 2019-11-25 15:37:58 UTC
FEDORA-2019-f3ff3abf38 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3ff3abf38

Comment 4 Fedora Update System 2019-11-25 16:39:23 UTC
FEDORA-2019-ed226e6112 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed226e6112

Comment 5 Fedora Update System 2019-11-27 00:32:11 UTC
xorg-x11-server-1.20.6-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3ff3abf38

Comment 6 Fedora Update System 2019-11-27 01:07:35 UTC
xorg-x11-server-1.20.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ed226e6112

Comment 7 Ben Cotton 2019-11-27 14:26:36 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Ben Cotton 2019-11-27 16:38:11 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 9 Fedora Update System 2019-11-29 00:54:03 UTC
xorg-x11-server-1.20.6-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-01-15 00:14:15 UTC
xorg-x11-server-1.20.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.